INPUT_MT_GET_SLOT_BY(9)

NAME
input_mt_get_slot_by_key - return slot matching key

SYNOPSIS

int input_mt_get_slot_by_key(struct input_dev * dev, int key);

ARGUMENTS

dev
    input device with allocated MT slots

key
    the key of the sought slot

DESCRIPTION

Returns the slot of the given key, if it exists, otherwise set the key on the first unused slot and return.

If no available slot can be found, -1 is returned.

COPYRIGHT